﻿
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAS_DAILY_LOGINNUMBER') 
 CREATE TABLE T_BAS_DAILY_LOGINNUMBER (
FID BIGINT DEFAULT 0 NOT NULL,
FDATETIME DATETIME DEFAULT GETDATE() NOT NULL,
FONLINENUMBER BIGINT DEFAULT 0 NOT NULL,
FINTEGERFIELD BIGINT DEFAULT 0 NOT NULL,
FINTEGERFIELD1 BIGINT DEFAULT 0 NOT NULL,
FDECIMALFIELD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECIMALFIELD1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTEXTFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FTEXTFIELD1 VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATETIMEFIELD DATETIME,
FDATETIMEFIELD1 DATETIME,
FDATETYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAS_SESSION_HISTORY') 
 CREATE TABLE T_BAS_SESSION_HISTORY (
FID BIGINT DEFAULT 0 NOT NULL,
FLANGUAGE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME DEFAULT GETDATE() NOT NULL,
FMODIFYTIME DATETIME DEFAULT GETDATE() NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FUSERNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FUSEROPENID VARCHAR(50) DEFAULT ' ' NOT NULL,
FUSERTYPE VARCHAR(120) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FLOGINTIME DATETIME,
FYZJAPPID VARCHAR(50) DEFAULT ' ' NOT NULL,
FLOGINIP VARCHAR(512) DEFAULT ' ' NOT NULL,
FYZJAPPTICKET VARCHAR(200) DEFAULT ' ' NOT NULL,
FLOGINORG BIGINT DEFAULT 0 NOT NULL,
FCLIENT VARCHAR(10) DEFAULT ' ' NOT NULL,
FACCCOMPANYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FKDCSRFTOKEN VARCHAR(255) DEFAULT ' ' NOT NULL,
FAPI3RDAPPID VARCHAR(50) DEFAULT ' ' NOT NULL,
FAPI3RDAPPNUM VARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZPARTNERID BIGINT DEFAULT 0 NOT NULL,
FEXPIREDTIME DATETIME,
FLOGOUTTIME DATETIME,
FSESSIONID VARCHAR(250) DEFAULT ' ' NOT NULL,
FDATETIME BIGINT DEFAULT 0 NOT NULL,
FCOMPENSATETIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISCALCULATION CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAS_DAILY_LOGINTIME') 
 CREATE TABLE T_BAS_DAILY_LOGINTIME (
FID BIGINT DEFAULT 0 NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FLOGINTIMES BIGINT DEFAULT 0 NOT NULL,
FONLINETIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLASTLOGINTIME DATETIME,
FLASTLOGOUTTIME DATETIME,
FMODIFYTIME DATETIME DEFAULT GETDATE() NOT NULL,
FTEXTFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FTEXTFIELD1 VARCHAR(50) DEFAULT ' ' NOT NULL,
FTEXTFIELD2 VARCHAR(50) DEFAULT ' ' NOT NULL,
FINTEGERFIELD BIGINT DEFAULT 0 NOT NULL,
FINTEGERFIELD1 BIGINT DEFAULT 0 NOT NULL,
FINTEGERFIELD2 BIGINT DEFAULT 0 NOT NULL,
FDATETIMEFIELD DATETIME,
FDATETIMEFIELD1 DATETIME,
FDATETIMEFIELD2 DATETIME,
FISLOGOUT CHAR(1) DEFAULT '0' NOT NULL,
FDATETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATETIME BIGINT DEFAULT -1 NOT NULL,
FCALCULATIONSTART VARCHAR(50) DEFAULT ' ' NOT NULL,
FCALCULATIONEND VARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMPENSATETIME BIGINT DEFAULT 0 NOT NULL,
FUSERFIELD BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAS_DAILY_ONLINENUMBER') 
 CREATE TABLE T_BAS_DAILY_ONLINENUMBER (
FID BIGINT DEFAULT 0 NOT NULL,
FTIME BIGINT DEFAULT 0 NOT NULL,
FMINUTE BIGINT DEFAULT -1 NOT NULL,
FONLINEUSERNUM BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME DEFAULT GETDATE() NOT NULL,
FTEXTFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FTEXTFIELD1 VARCHAR(50) DEFAULT ' ' NOT NULL,
FTEXTFIELD2 VARCHAR(50) DEFAULT ' ' NOT NULL,
FINTEGERFIELD BIGINT DEFAULT 0 NOT NULL,
FINTEGERFIELD1 BIGINT DEFAULT 0 NOT NULL,
FINTEGERFIELD2 BIGINT DEFAULT 0 NOT NULL,
FDATETIMEFIELD DATETIME,
FDATETIMEFIELD1 DATETIME,
FDATETIMEFIELD2 DATETIME
);


 EXEC P_ALTERPK 'PK_BAS_DAILY_LOGINNUMBER', 'T_BAS_DAILY_LOGINNUMBER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BAS_LOGIN_NUM_FTIME_N') CREATE INDEX IDX_BAS_LOGIN_NUM_FTIME_N ON T_BAS_DAILY_LOGINNUMBER ( FDATETIME );


 EXEC P_ALTERPK 'PK_BAS_SESSION_HISTORY', 'T_BAS_SESSION_HISTORY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SESSIONHIS_FDATETIME_N') CREATE INDEX IDX_SESSIONHIS_FDATETIME_N ON T_BAS_SESSION_HISTORY ( FDATETIME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SESSIHIS_FEXPIREDTIME_N') CREATE INDEX IDX_SESSIHIS_FEXPIREDTIME_N ON T_BAS_SESSION_HISTORY ( FLOGOUTTIME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SESSIONHIS_FSESSIONID_N') CREATE INDEX IDX_SESSIONHIS_FSESSIONID_N ON T_BAS_SESSION_HISTORY ( FSESSIONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SESSIONHIS_FUSERID_N') CREATE INDEX IDX_SESSIONHIS_FUSERID_N ON T_BAS_SESSION_HISTORY ( FUSERID );


 EXEC P_ALTERPK 'PK_BAS_DAILY_LOGINTIME', 'T_BAS_DAILY_LOGINTIME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LOGINTIME_FUSERID_N') CREATE INDEX IDX_LOGINTIME_FUSERID_N ON T_BAS_DAILY_LOGINTIME ( FUSERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LOGINTIME_FDATETIME_N') CREATE INDEX IDX_LOGINTIME_FDATETIME_N ON T_BAS_DAILY_LOGINTIME ( FDATETIME );


 EXEC P_ALTERPK 'PK_BAS_DAILY_ONLINENUMBER', 'T_BAS_DAILY_ONLINENUMBER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BAS_ONLINE_NUM_FTIME_N') CREATE INDEX IDX_BAS_ONLINE_NUM_FTIME_N ON T_BAS_DAILY_ONLINENUMBER ( FTIME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BAS_ONLINE_NUM_FMINUTE_N') CREATE INDEX IDX_BAS_ONLINE_NUM_FMINUTE_N ON T_BAS_DAILY_ONLINENUMBER ( FMINUTE );


